@mixin set-highlight-background($color, $background-color) {
  .highlight-background {
    // only use the highlight-background if th standard-hover highlight is not active, it should not be overwritten:
    &:not(.standard-hover:hover) {
      color: $color;
      background-color: $background-color;
    }
  }
}

@mixin set-highlight-expansion-button-background($color, $border-color, $background-color: transparent) {
  .highlight-expansion-button-background {
    // only use the highlight-background if th standard-hover highlight is not active, it should not be overwritten:
    &:not(.standard-hover:hover) {
      color: $color;
      border-color: $border-color;
      background-color: $background-color;
    }
  }
}

@mixin set-highlight-examination-background($color, $background-color, $border) {
  .highlight-examination-background {
    // only use the highlight-background if th standard-hover highlight is not active, it should not be overwritten:
    &:not(.standard-hover:hover) {
      color: $color;
      background-color: $background-color;
      border: $border;
    }
  }
}
